## libtgvoip 1.0~git20170704.445433f

=== debian/changelog ===
libtgvoip (1.0~git20170704.445433f-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 24 Sep 2017 14:24:42 +0300

libtgvoip (1.0~git20170704.445433f-4) unstable; urgency=medium

  * Avoid unconditional using MAXPATHLEN macro for build on GNU/Hurd
  * Bump Standards-Version, no changes

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 17 Sep 2017 20:57:54 +0300

libtgvoip (1.0~git20170704.445433f-3) unstable; urgency=medium

  * Add a patch to fix FTBFS on GNU/Hurd (closes: #870412)
  * Remove the libssl1.0-dev build dependency (closes: #870778)
    - No modifications for this

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 17 Aug 2017 22:54:05 +0300

libtgvoip (1.0~git20170704.445433f-2) unstable; urgency=medium

  * Add a patch to fix FTBFS on GNU/kFreeBSD (closes: #863116)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 30 Jul 2017 11:12:23 +0300

libtgvoip (1.0~git20170704.445433f-1) unstable; urgency=medium

  * Update to the latest commit; new soname
  * Bump Standards-Version
  * Add patch to fix FTBFS with OpenSSL 1.1

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 04 Jul 2017 23:28:15 +0300

libtgvoip (0.4.1~git20170517.2ed5a50-1) unstable; urgency=low

  * Initial upload (closes: #862582)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 17 May 2017 17:06:45 +0300
