## libtgvoip 1.0.3

=== debian/changelog ===
libtgvoip (1.0.3-3) unstable; urgency=medium

  * Disable SSE code to fix FTBFS on i386

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 28 Mar 2018 23:25:16 +0300

libtgvoip (1.0.3-2) unstable; urgency=medium

  * Clarify copyright notices about WebRTC code (closes: #892799)
  * Remove -msse2 compiler flag from build scripts (closes: #892823)
  * Hide private symbols in result binary
  * Refine debian/symbols file for 32-bit architectures (closes: #892824)

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 26 Mar 2018 08:48:49 +0300

libtgvoip (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Move repository of the package to salsa.debian.org
  * Create debain/watch file for tracking upstream versions
  * Bump soname version because of new C++ destructors
  * Update standards version, no changes for this
  * Add d/symbols file
  * Update year in d/copyright

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 12 Mar 2018 09:15:50 +0300
