=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,14 @@
 	-Goutput_dir=$(OUT)
 
 # specify SONAME version of libtgvoip
-export SOVER = 1.0
+export SOVER = 1.0.3
 
 # Workaround for non-Linux, see bugs.debian.org/799356
 ifneq ($(DEB_HOST_ARCH_OS),linux)
  GYPFLAGS += --no-parallel
 endif
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--version-script="$(CURDIR)/debian/export-map.ld"
 
 %:
 	dh $@ --sourcedirectory=$(OUT)/$(BUILD_MODE)
@@ -43,11 +45,3 @@
 
 override_dh_auto_clean:
 	dh_auto_clean || dh_auto_clean --sourcedirectory=$(CURDIR)
-
-# Upstream does not provide a tarball
-get-orig-source:
-	git clone --depth=1 https://github.com/grishka/libtgvoip
-	tar --exclude-vcs -cJf ../libtgvoip_$(SOVER)~git$$(cd libtgvoip && \
-		git log -1 --date="format:%Y%m%d" --format="%cd.%h").orig.tar.xz \
-		libtgvoip
-	rm -rf libtgvoip
