## libtgvoip 2.2.4

=== debian/changelog ===
libtgvoip (2.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 01 Oct 2018 09:10:30 +0300

libtgvoip (2.2.3+git20180828.31fe4af-1) unstable; urgency=medium

  * New upstream release along with latest fixes.
  * Drop Fix-build-on-FreeBSD-and-Hurd.patch as applied by upstream.
  * Bump standards version to 4.2.1, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 31 Aug 2018 08:19:46 +0300

libtgvoip (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.1.5.
     - Add the Rules-Requires-Root field into the debian/control file.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 09 Jul 2018 20:38:35 +0300

libtgvoip (2.1-1) unstable; urgency=medium

  * New upstream release of static library.
    - There is no shared variant of the library because this C++ code is not
      intended to be used as .so file.
  * Bump debhelper version to 11, no changes for this.
  * Bump standards version to 4.1.4, no changes for this.
  * Refine the Built-Depends list.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 15 Jun 2018 10:33:22 +0300
