=== debian/control ===
Source: libtgvoip
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper (>=11)
Build-Depends-Arch:
 cmake (>=2.8.8),
 gyp,
 libasound2-dev,
 libopus-dev,
 libpulse-dev,
 libssl-dev,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/grishka/libtgvoip
Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
Vcs-Browser: https://salsa.debian.org/debian/libtgvoip

Package: libtgvoip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: VoIP library for Telegram clients - developer files
 This package contains the multiplatform library for calls in Telegram.
 Telegram is a free cloud-based instant messaging service, it was established
 by Pavel Durov and his team in 2013.
 .
 This package provides headers files and static library for development.
