## libtgvoip 2.4.2

=== debian/changelog ===
libtgvoip (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patches:
     - Reintroduce Disable-SSE2.patch to avoid SSE2 code on i386
     - Fix-WebRTC-for-non-Linux.patch allows building the package on
       kFreeBSD or GNU/Hurd system.
     - Pointer-to-ServerConfigImpl.patch hides implementation details of
       ServerConfig class.
     - Drop Port-WebRTC.patch as applied by upstream (partially).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 29 Jan 2019 23:41:52 +0300

libtgvoip (2.4-2) unstable; urgency=medium

  * Fix porting issues (closes: #917315).
    - Add Port-WebRTC.patch instead Disable-SSE2-on-i386.patch.
  * Bump standards version to 4.3.0, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 29 Dec 2018 23:39:41 +0300

libtgvoip (2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 19 Dec 2018 00:47:38 +0300
