=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libopus-dev,
  libpulse-dev,
  libssl-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/grishka/libtgvoip
