## libtgvoip 2.4.4

=== debian/changelog ===
libtgvoip (2.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compatibility level to 12, no related changes.
  * Bump Standards version to 4.4.0, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 29 Jul 2019 18:59:00 +0300

libtgvoip (2.4.4-1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 01 Apr 2019 22:57:35 +0300
