=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libtgvoip
 Priority: optional
+Section: libs
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Arch:
- cmake (>=2.8.8),
+ cmake (>= 2.8.8),
  gyp,
  libasound2-dev,
  libopus-dev,
  libpulse-dev,
  libssl-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Section: libs
 Homepage: https://github.com/grishka/libtgvoip
 Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
 Vcs-Browser: https://salsa.debian.org/debian/libtgvoip
