## libtgvoip 2.4.4+git20210101.13a5fcb+ds

=== debian/changelog ===
libtgvoip (2.4.4+git20210101.13a5fcb+ds-2) unstable; urgency=medium

  * No change rebuild against libtgowt-dev (>= 0~git20210124.be23804).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sun, 07 Feb 2021 17:56:33 +0300

libtgvoip (2.4.4+git20210101.13a5fcb+ds-1) unstable; urgency=medium

  * Consider John Preston's fork as our upstream.
  * Update to the latest upstream commit.
  * Repack and skip the unused webrtc_dsp/ folder
  * Update patches:
    - Deleted that was taken from upstream Git:
      + Apply-soversion.patch
      + Single-header.patch
      + Support-pkgconfig.patch
    - Deleted because of exclusion of webrtc_dsp/ folder:
      + Disable-SSE2.patch
      + Fix-WebRTC-for-non-Linux.patch
    - Add new Build-scripts.patch with CMake configuration.
    - Refresh existing and still not applied Pointer-to-ServerConfigImpl.patch.
      It does not touch anymore the unused configure.ac file.
  * Update package build scripts for CMake configuration.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 30 Jan 2021 10:20:01 +0300

libtgvoip (2.4.4-4) unstable; urgency=medium

  * Update Fix-WebRTC-for-non-Linux.patch for automake build.
    - Should fix build on GNU/Hurd and probably fix build on kFreeBSD.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 25 Jul 2020 10:59:38 +0300

libtgvoip (2.4.4-3) unstable; urgency=medium

  * Switch to autotools build system.
  * Bump Debhelper compat level to 13 and Standards-Version to 4.5.0.
    - No related changes.
  * Patches:
    - Add Apply-soversion.patch
    - Add Single-header.patch
    - Add Support-pkgconfig.patch
  * Link to "tgvoip" folder for backward compatibility.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Thu, 09 Jul 2020 15:29:40 +0300
