=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Priority: optional
 Section: libs
 Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch:
- cmake (>= 2.8.8),
- gyp,
+ cmake,
  libasound2-dev,
  libopus-dev,
  libpulse-dev,
  libssl-dev,
-Standards-Version: 4.4.0
+ libtgowt-dev,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/grishka/libtgvoip
 Vcs-Git: https://salsa.debian.org/debian/libtgvoip.git
@@ -20,7 +20,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: libopus-dev, libssl-dev, libtgowt-dev, ${misc:Depends}
 Description: VoIP library for Telegram clients - developer files
  This package contains the multiplatform library for calls in Telegram.
  Telegram is a free cloud-based instant messaging service, it was established
