=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -S cmake

# Skip autotools specific code generating.
override_dh_autoreconf override_dh_autoreconf_clean:
