=== debian/watch ===
version=4
opts="mode=git, pretty=2.4.4+git%cd.%h, repacksuffix=+ds, dversionmangle=s/\+ds$//" \
  https://github.com/telegramdesktop/libtgvoip heads/tdesktop
