## libtgvoip 2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel1

=== debian/changelog ===
libtgvoip (2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian stable as telegram-desktop dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Aug 2021 14:48:53 +0000
