## libtgvoip 2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel3

=== debian/changelog ===
libtgvoip (2.4.4+git20210101.13a5fcb+ds-2+10.0trisquel3) nabia-backports; urgency=medium

  * Backported from debian buster-backports as telegram-desktop
    dependency

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 05 Dec 2023 22:17:28 +0000

libtgvoip (2.4.4+git20210101.13a5fcb+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Merge from Debian sid.
  * Refine minimal CMake version in the debian/control file.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 08 Mar 2021 10:23:51 +0300

libtgvoip (2.4.4-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Merge from Debian sid.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 09 Sep 2020 09:33:08 +0300

libtgvoip (2.4.4-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 11 Oct 2019 14:29:24 +0200
