=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libtgvoip
 Priority: optional
 Section: libs
-Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch:
- cmake,
+ cmake (>= 3.16),
  libasound2-dev,
  libopus-dev,
  libpulse-dev,
